Deprecation of TLS v1.0 & 1.1 and weak ciphers on all public endpoints
Scheduled for Jun 7, 09:00 - 09:01 CEST
Scheduled
Dear customer,

We would like to inform you of the upcoming security upgrade to all of our HTTP endpoints.

Security upgrade will include deprecation of TLS version 1.0 and 1.1 in order to provide more secure services and best in class encryption. Following that, as of June 7th we will only support TLS v1.2 and TLS v1.3 protocol, meaning that all connections with a TLS version lower than 1.2 will no longer work.

NOTE: If your organization has already taken steps to migrate from TLS 1.0 and 1.1, or if you are able to submit traffic towards the endpoints noted in this email, you can safely disregard this message.

What should you do to prepare?

To check if your services are going to be impacted, we have prepared an HTTP test endpoints on which the noted TLS versions have already been removed. As such, inability to submit traffic towards them will be a good indicator that changes on your platform are needed.

Test endpoints: testapi.smsfactor.com

In case you have any questions or concerns, please feel free to contact us at support@smsfactor.com and we'll be more than happy to assist you.

Summary:

Date: 7th of June 2022
Action: Deprecation of TLS versions 1.0 and 1.1
Impact: Connections with a version lower than TLS 1.2 will no longer work
Measures: Migrate from TLS v1.0 and 1.1. If you are currently using them, update or replace the clients/devices as need
Posted Dec 02, 2021 - 09:29 CET
This scheduled maintenance affects: API.